Name:          fonttools
Version:       3.0
Release:       %mkrel 1
Summary:       A tool to convert True/OpenType fonts to XML and back
Group:         Development/Other
License:       BSD
Url:           https://github.com/behdad/fonttools/
Source0:       https://github.com/behdad/%{name}/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:        0001-EBLC-Decompile-and-release-copies-of-data-early.patch
BuildArch:     noarch
BuildRequires: glibc-devel
Requires:      python3-fonttools

%description
TTX/FontTools is a tool to convert OpenType and TrueType fonts to and
from XML. FontTools is a library for manipulating fonts, written in Python.
It supports TrueType, OpenType, AFM and to an extent Type 1 and some
Mac-specific formats.

%package -n python2-fonttools
Summary:       Python 2 fonttools library
%{?python_provide:%python_provide python2-%{name}}
BuildRequires: pkgconfig(python2)
BuildRequires: python-numpy-devel
Requires: python-numpy

%description -n python2-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.


%package -n python3-fonttools
Summary:       Python 3 fonttools library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: pkgconfig(python3)
BuildRequires: python3-numpy-devel
Requires: python3-numpy

%description -n python3-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

%prep
%setup -qc
%patch0 -p0
pushd %{name}-%{version}
mv LICENSE.txt Doc/documentation.html Doc/changes.txt ../
popd
pwd
mv %{name}-%{version} python2

pushd python2
rm -rf *.egg-info
popd

cp -a python2 python3
find python2 -name '*.py' | xargs sed -i 's|^#!python|#!%{__python2}|'
find python3 -name '*.py' | xargs sed -i 's|^#!python|#!%{__python3}|'

%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd

%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd
 

rm -rf %{buildroot}%{python2_sitelib}/FontTools/fontTools/ttLib/test

%files
%{_bindir}/*
%{_mandir}
 
%files -n python2-fonttools
%doc changes.txt documentation.html
%{python2_sitelib}/FontTools.pth
%{python2_sitelib}/FontTools

%files -n python3-fonttools
%doc changes.txt documentation.html
%{python3_sitelib}/FontTools.pth
%{python3_sitelib}/FontTools


%changelog
* Tue Oct 25 2016 bb <bb> 3.0-1pclos2016
- import from france


